
#include <vector>

#include "Test.hpp"
#include "Test_union_different_iterator.hpp"
#include "Test_union_graph.hpp"

int main()
{
    using namespace std;
	vector<Test*> testPool;

	testPool.push_back( new Test_union_different_iterator() );
	testPool.push_back( new Test_union_graph() );

	for ( vector<Test*>::iterator it = testPool.begin(); it != testPool.end(); ++it )
    {
        cout << "======================================================" << endl;
        cout << typeid( **it ).name() << endl;
		(*it)->startTest();
        cout << endl;
    }
	return 0;
}